CVE-2011-3427

low
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The Data Security component in Apple iOS before 5 and Apple TV before 4.4 does not properly restrict use of the MD5 hash algorithm within X.509 certificates, which makes it easier for man-in-the-middle attackers to spoof servers or obtain sensitive information via a crafted certificate.

References

http://lists.apple.com/archives/Security-announce/2011//Oct/msg00001.html

http://lists.apple.com/archives/Security-announce/2011//Oct/msg00002.html

http://lists.apple.com/archives/security-announce/2013/Oct/msg00004.html

http://osvdb.org/76326

http://support.apple.com/kb/HT4999

http://support.apple.com/kb/HT5001

https://exchange.xforce.ibmcloud.com/vulnerabilities/70547

Details

Source: MITRE

Published: 2011-10-14

Updated: 2017-08-29

Type: CWE-200

Risk Information

CVSS v2

Base Score: 2.6

Vector: AV:N/AC:H/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 4.9

Severity: LOW

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:apple:apple_tv:4.0:*:*:*:*:*:*:*

cpe:2.3:a:apple:apple_tv:4.1:*:*:*:*:*:*:*

cpe:2.3:a:apple:apple_tv:4.2:*:*:*:*:*:*:*

cpe:2.3:a:apple:apple_tv:4.3:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:o:apple:iphone_os:3.0:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.1:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.1:-:ipodtouch:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.1.2:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.1.3:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.2:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.2:-:ipodtouch:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.2.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.2.1:-:ipad:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:3.2.2:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0:-:ipodtouch:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0.1:-:iphone:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0.1:-:ipodtouch:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.0.2:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.2.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.2.5:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.2.8:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.0:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.1:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.2:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.3:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.5:*:*:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.5:-:ipad:*:*:*:*:*

cpe:2.3:o:apple:iphone_os:4.3.5:-:ipodtouch:*:*:*:*:*

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
70561Mac OS X 10.x < 10.9 Multiple Vulnerabilities (BEAST)NessusMacOS X Local Security Checks
high
60026Apple iOS < 5.0 Multiple Vulnerabilities (BEAST)NessusMobile Devices
critical
6041Apple iOS < 5.0 Multiple Vulnerabilities Nessus Network MonitorMobile Devices
high